From 49552b63a87365d9ea7c4b9d74f77007e08b54fc Mon Sep 17 00:00:00 2001
From: Melanie Plageman <melanieplageman@gmail.com>
Date: Wed, 22 Feb 2023 11:59:53 -0500
Subject: [PATCH v1 1/4] dont leak strategy object

---
 src/backend/postmaster/autovacuum.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/postmaster/autovacuum.c b/src/backend/postmaster/autovacuum.c
index ff6149a179..673ff99767 100644
--- a/src/backend/postmaster/autovacuum.c
+++ b/src/backend/postmaster/autovacuum.c
@@ -2607,6 +2607,8 @@ deleted:
 	if (did_vacuum || !found_concurrent_worker)
 		vac_update_datfrozenxid();
 
+	FreeAccessStrategy(bstrategy);
+
 	/* Finally close out the last transaction. */
 	CommitTransactionCommand();
 }
-- 
2.37.2

